package com.its.vms.xnettcp.vms.process.response;

import com.its.app.utils.NettyUtils;
import com.its.vms.config.CommunicationConfig;
import com.its.vms.entity.TbVmsCtlr;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class TerminateResponse implements VmsResponse {
    private TbVmsCtlr obj;
    private ChannelHandlerContext ctx;

    @Override
    public boolean response(CommunicationConfig communicationConfig) {
        if (this.obj == null) {
            return false;
        }

        // 처리내용 없음.
        String ipAddress = NettyUtils.getRemoteIpAddress(this.ctx.channel());
        log.info("TerminateResponse.response: {}", ipAddress);

        return true;
    }
}
